Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 152472 (xmms-must-die) - xmms removal metabug
Summary: xmms removal metabug
Status: VERIFIED FIXED
Alias: xmms-must-die
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: REMOVED
Keywords: PMASKED
: 152762 153357 153953 156363 (view as bug list)
Depends on: 147689 152477 152650 155813
Blocks: 93753 95365 96197 96414 107574 110089 110178 112187 114508 115565 117183 117675 117690 118956 120856 123124 125022 125142 127795 128267 132851 134829 137265 138227 140148 143836 144779 144842 145377 146474 147408
  Show dependency tree
 
Reported: 2006-10-23 00:34 UTC by Jakub Moc (RETIRED)
Modified: 2008-04-10 04:55 UTC (History)
18 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Rescue XMMS to portage overlay, unmask it and download the sources. (rescuexmms,320 bytes, text/plain)
2006-10-25 18:59 UTC, Heiko Baums
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jakub Moc (RETIRED) gentoo-dev 2006-10-23 00:34:06 UTC
Dumpspace for the removal of t3h b0rken thing and related bugs.
Comment 1 kavol 2006-10-23 07:36:00 UTC
please unmask and leave xmms in Portage until bug #152001 is resolved

btw, if you want force people to use Audacious instead of XMMS, then please distribute magnifying glasses with it because Audacious lacks the doublesize-display ability :-(
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2006-10-23 07:39:07 UTC
No, we won't be unmasking thing that has ~30 unresolved bugs (see the linked bugs here) and is unmaintained. Sorry, moaning won't help, this is going away.

Comment 3 skelter 2006-10-23 07:47:43 UTC
Well masking it where it has not been masked before has broken all kinds of other builds and seems like very poor Gentooizenship.  You should have just fixed it without re-masking.
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2006-10-23 08:05:01 UTC
(In reply to comment #3)
> You should have just fixed it without re-masking.

Thanks for advice. Maybe you'll attach fixes for the above 30 bugs then, plus will become a gentoo developer and will maintaining this whole shebang in future? 

No? Well, then don't complain.
Comment 5 kavol 2006-10-23 08:18:32 UTC
great ... I cannot use xmms because it is masked (well, actually I can, but not if I do not want to "pollute" my installation) and I cannot use Audacious because it has very bad memory leak ... so what should I do?

btw, not talking about the fact that masking xmms without prior update the packages depending on it, had broken my system (and possibly a lot of others) very badly ...

what else can help development better than the user feedback? - I understand that developing a distro has not much to do with democracy and sometimes there is a need to something which will hurt users, but you can do it without expressing that you are the gods and the users cannot do anything than obey even if you made an evident mistake
Comment 6 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-10-23 08:23:43 UTC
Users taking away the crackpipe and going do the work will definitely help development better than user feedback.

If nobody is interested in maintaining XMMS, even if users start moaning about it, there's NO WAY it will be supported again.

Jakub, consider this bug a definite candidate for devnull@gentoo.org
Comment 7 Jakub Moc (RETIRED) gentoo-dev 2006-10-23 08:31:05 UTC
(In reply to comment #5)
> great ... I cannot use xmms because it is masked (well, actually I can, but not
> if I do not want to "pollute" my installation) and I cannot use Audacious
> because it has very bad memory leak ... so what should I do?

Feel free to submit patch for the audacious memory leak, will be much appreciated, unlike this xmms moaning. XMMS is dead, live with it. Thanks.

Comment 8 Benjamin Koren 2006-10-23 09:29:58 UTC
So I have a question. I have a bunch of ebuilds that currently rely on XMMS, such as VLC Media Player and MPlayer. My question is - is there a way of getting around this dependency? Will I just have to manually unmask XMMS from now on for any of these programs to work?

P.S. Thanks to the maintainers for all the hard work - I, as a Gentoo user and administrator, appreciate everything you do.
Comment 9 Haroon Rafique 2006-10-23 09:34:33 UTC
(In reply to comment #8)
> So I have a question. I have a bunch of ebuilds that currently rely on XMMS,
> such as VLC Media Player and MPlayer. My question is - is there a way of
> getting around this dependency? Will I just have to manually unmask XMMS from
> now on for any of these programs to work?
> 
> P.S. Thanks to the maintainers for all the hard work - I, as a Gentoo user and
> administrator, appreciate everything you do.
> 

Dunno about you, but I'm planning on rebuilding all of those ebuild. E.g., I used the following to get my list of ebuilds:

# equery --installed hasuse xmms
[ Searching for USE flag xmms in all categories among: ]
 * installed packages
[I--] [ ~] net-im/psi-0.10-r1 (0)
[I--] [ ~] kde-base/kdeutils-3.5.5 (3.5)
[I--] [ ~] kde-base/kdeaddons-3.5.5 (3.5)
[I--] [ ~] kde-base/kdenetwork-3.5.5 (3.5)

After I have rebuilt these packages, hopefully xmms will be history on my system.
Comment 10 skelter 2006-10-23 12:48:05 UTC
I was able to affect the equivalent by removing the xmms USE flag and emerging --update --deep --newuse world.  It's taking some time as several packages were making use of that. More annoying was having to unmerge all the plugins.  I'm going to miss some of them.

Sure feels like we need more warning when something is about to be yanked.  The changelog didn't seem to mention its deprecation http://sources.gentoo.org/viewcvs.py/*checkout*/gentoo-x86/media-sound/xmms/ChangeLog
The second time around, the package message seemed to crasply suggest I use someone elses favorite music player.

The impatience with the "crack-pipe smoking users" such as myself who aren't participating in great xmms debates and only see what flashes by duing the build aren't going to encourage helpful bug reports.

Right now, we get 
# Pending removal 23 November for multiple bugs
# Use media-sound/audacious

I recommend adding
# xmms development has been abandoned and it has 30+ bugs.
# It is unmaintainable.
# Please consider using these alternatives instead.
# .....

I apologize for being a jerk and suggesting you just fix it.  Thank you for matching me at it and telling me to not complain and put the crack pipe away.  I shall surely refrain from bothering you with any further feedback.
Comment 11 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-10-23 14:46:43 UTC
There are days ;)

The mask message was changed (yet again).  You are free to keep the ebuilds in an overlay, you are free to unmask what we did and keep using them for 30 days.  You are free to file patches and try and get this fixed.

Unfortunately, you are also free to complain.  Luckily the things above are useful uses for your time, while complaining will get you nowhere.  I realize there is no shiny upgrade path, there is not a "move from xmms to foobazplayer" and all you stuff migrates nicely.  It sucks.  But keeping this package around sucks more.  It sucks our time, and our patience, and it makes us hate this place.  So away it goes.

The fun part of OSS and Gentoo is that you just need to keep the ebuilds and src around and you can keep using it.  Or you can find a new audio player; as the mask denotes there are many alternatives.  They are not all like xmms, but it is not as if there are no other players out there.

PS: Yes the package changelog does not state maskings, that is why we have a package.mask file that pulls up masking reasons.  The alternative player suggestion was put in by me after some user had no idea what other player to use.  Maybe I should have written "emerge -S mp3" or something, I have no idea.  I'm just trying here.
Comment 12 adam 2006-10-23 15:37:42 UTC
;( 
Comment 13 adam 2006-10-23 15:40:00 UTC
Where not all whores who like a music player like Banshee that wants 987987987 packages to use. We love our little GTk 1 old school app ;( How can you do this to us! Have you have any heart?!?
Comment 14 Zeth 2006-10-23 16:00:33 UTC
Absolutely crazy, the lunatics have taken over the asylum.

This is really ridiculous. Like when the tree-cleaners hard masked the Simple Menu Editor months before adding Alacarte, leaving no way in Gentoo to edit the menus in Gnome (without editing the config files), that lasted half a year.

XMMS-2 is being developed and will be with us in the future. For now, what bug is so bad about XMMS that it cannot be in in ~arch until XMMS-2 is out?

It is a nice simple WinAmp style player, my favourite by far, just make it work.

Fundamentalism gone bad. Might as well mask OpenOffice, that is really buggy, gentoo-sources, sure. What about gcc? 
Comment 15 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-10-23 16:57:19 UTC
19:33 <@antarus> !meta openoffice
19:34 <+jeeves> antarus: Package: app-office/openoffice Herd: openoffice Maintainer: openoffice Description: Openoffice is
the opensource version of staroffice. This ebuild allows you to compile it yourself. Unfortunately this compilation can take up to a day depending on the speed of your computer. It will however make a snappier openoffice than the binary version
19:34 <@antarus> !herd openoffice
19:34 <+jeeves> antarus: (openoffice) pauldv, suka

19:34 <+jeeves> antarus: Package: sys-devel/gcc Herd: toolchain Maintainer: toolchain
19:34 <@antarus> !herd toolchain
19:34 <+jeeves> antarus: (toolchain) avenj, azarah, dostrow, eradicator, g2boojum, iluxa, kevquinn, kumba, lu_zero, method, pfeifer, pvdabeel, solar, tgall, vapier

19:35 <+jeeves> antarus: Package: sys-kernel/gentoo-sources Herd: kernel Maintainer: plasmaroo@gentoo.org, dsd@gentoo.org
19:35 <@antarus> !herd kernel
19:35 <+jeeves> antarus: (kernel) chainsaw, dang, eradicator, genstef, gregkh, hollow, johnm, marineam, phreak, plasmaroo, r3pek, spock

See theses lists?  These people are called maintainers.

19:36 <+jeeves> antarus: Package: media-sound/xmms Herd: sound Maintainer: metalgod@gentoo.org
19:36 <@antarus> !herd sound
19:36 <+jeeves> antarus: (sound) aballier, chainsaw, chutzpah, flameeyes, fvdpol, genstef, kito, matsuu, metalgod, tcort, ticho

Metalgod retired and no one else in sound herd wants the package.

Thus it has a ton of open bugs and it goes out of the tree.

In the end, we are an ebuild supplier.  We give you some ebuilds, it's up to you what to install and use.  Occassionally we have to end of life products (or applications, in this case).  The whole point here is we aren't in control of what you run; you are.

We remove an ebuild you wanted; you can just add it back via overlay.  I realise that that is a bit of work and I apologize for that.  This is half of the reason why Gentoo is somewhat akinned to LFS on crack; sometimes you need to get your hands dirty to get the results you want.

Some peope will gladly add XGL and BMG overlays to get the "uber-leet bleeding edge stuff" (I know thats not all of you) and then complain at the slightest moment when their precious package is taken out of the tree.

So I tell you again; wield your power.  You are the system admin here, not me, not Jakub, not Diego.  If you really want XMMS, go use anoncvs or viewcvs and grab the ebuilds, grab the sources off of our mirrors; put them in an overlay; host the overlay somewhere (heck I think even google is given SCM repos away these days) and use them.  No one here will stop you; nay I'll encourage you to do so.

-Alec Warner
antarus@gentoo.org
Comment 16 Marcin Gryszkalis 2006-10-23 23:51:03 UTC
I'm not happy seeing plans to remove xmms. I looked at blocked bugs and It seems that it's not exactly like Jakub described:
 - most of bugs are related to xmms plugins, they can be resolved by package.mask-ing related plugins leaving base xmms alone - I think that's resonable - any plugin-based application, even with active developers, can have buggy plugins from 3rd party devs - it's not valid reason to slay base application. 
 - 9 bugs are related to the base xmms, but few of them depend on other applications (like jack) - you can resolve it with depends/conflicts (with comments pointing to te bugs)
 - in the end we have some 3-5 bugs in xmms itself, by statistics half of them is invalid (broken user's environment etc.) :) 
 - So - there are maybe 2 real bugs in xmms - I've seen applications with larger number of bugs :)
Comment 17 Dietrich Moerman 2006-10-24 02:16:06 UTC
I'm not opposed to the removal of xmms in Portage, but as far as I can see not a single xmms USE flag has been removed from the packages in the Portage tree, instantly creating problems on most systems. Over 60 packages need recompiling on my system.

At least an announcement or warning somehow was very welcome before xmms got hardmasked altogether.
Comment 18 adriancz 2006-10-24 02:37:51 UTC
Don't remove xmms until another player doesn't have good equalizer. The only one that has is xmms (using libmpg123 and TURNED OFF libmad). Please, don't withdraw possibility of choise!
Comment 19 Piotr 2006-10-24 02:42:55 UTC
> XMMS-2 is being developed and will be with us in the future. For now, what bug
> is so bad about XMMS that it cannot be in in ~arch until XMMS-2 is out?

Exactly. Mask XMMS with ~arch until XMMS2 will be stable enough to use it and to place it in portage.
Comment 20 Alexandre Buisse (RETIRED) gentoo-dev 2006-10-24 11:56:36 UTC
(In reply to comment #18)
> Please, don't
> withdraw possibility of choise!

As antarus explained, we aren't withdrawing possibilities. You are totally free to copy the ebuilds in an overlay and keep using them as long as you want. The only thing we did was ending our *support* of it, as its code is old, buggy and no one wants to maintain it.


> Exactly. Mask XMMS with ~arch until XMMS2 will be stable enough to use it
> and to place it in portage.

There are already good enough alternatives (mpd, audacious, amarok...) for us not to need to wait for xmms2. If none of those alternatives fit you, you are free to keep using xmms, you will just need to keep the ebuilds in your overlay.
Comment 21 Jakub Moc (RETIRED) gentoo-dev 2006-10-24 13:24:29 UTC
(In reply to comment #18)
> Don't remove xmms until another player doesn't have good equalizer.

Hahahahah... Wonderful joke really. Oh, upstream didn't give a damn for only 5+ years.

http://bugs.xmms.org/show_bug.cgi?id=149
Comment 22 adriancz 2006-10-24 16:28:56 UTC
(In reply to comment #21)
> (In reply to comment #18)
> > Don't remove xmms until another player doesn't have good equalizer.
> 
> Hahahahah... Wonderful joke really. Oh, upstream didn't give a damn for only 5+
> years.
> 
> http://bugs.xmms.org/show_bug.cgi?id=149
> 

I wrote: "(using libmpg123 and TURNED OFF libmad)"

Did I say something about autiocd/mpc/ogg/etc?
Comment 23 Jakub Moc (RETIRED) gentoo-dev 2006-10-24 16:36:47 UTC
(In reply to comment #22)

Indeed, equalizer working for mp3 *only* is a great example of good coding, no other music player can beat it... :P 

Thanks for the laugh, was really needed in this bug.

Comment 24 William Pitcock 2006-10-24 17:53:02 UTC
Bug #152001 has been fixed, kill away.

Also, it may be useful to add media-sound/rhythmbox to the list of alternates; that's one I have recommended to people who don't like audacious.
Comment 25 adriancz 2006-10-25 02:00:22 UTC
(In reply to comment #23)
> (In reply to comment #22)
> 
> Indeed, equalizer working for mp3 *only* is a great example of good coding, no
> other music player can beat it... :P 
> 
> Thanks for the laugh, was really needed in this bug.
> 

Yes it works only for mp3 but there's no better equalizer for mp3 in opensource players. I'd use amarok if it had better eq. Amarok's devs don't know that preamp is not next volume...
Comment 26 Jakub Moc (RETIRED) gentoo-dev 2006-10-25 03:16:09 UTC
*** Bug 152762 has been marked as a duplicate of this bug. ***
Comment 27 toto 2006-10-25 07:39:44 UTC
heh, all good, btw I like in xmms seek in music when listen from web (in mp3 at all). When it will be in audacious for example ?
Comment 28 Polyhead 2006-10-25 14:23:26 UTC
Well the powers that be seem to say "just ad an overlay"

Well, why not an XMMS how to then?

At the very least, add some more default skins to audacious, the two that come with it are absolutly unfucking usable at any resolution higher than 640x480.  There is no contrast to them at all.  Somebody needs to slap these idiots around with a user interface design book for a few hours, before they design skins for this garbage.
Comment 29 Steve Dibb (RETIRED) gentoo-dev 2006-10-25 16:47:23 UTC
XMMS support removed from media-video/mplayer
Comment 30 Heiko Baums 2006-10-25 18:59:47 UTC
Created attachment 100502 [details]
Rescue XMMS to portage overlay, unmask it and download the sources.

I don't really want to step into the discussion. Somehow I can understand the Gentoo developers and somehow I can't. Nevertheless it's sad that XMMS is dead and removed from portage.

For the people who want to keep XMMS here's a script to rescue XMMS to the portage overlay (/usr/local/portage), unmask it and download the sources. It depends on eix.
Comment 31 Polyhead 2006-10-26 02:20:13 UTC
"XMMS support removed from media-video/mplayer"

"So I tell you again; wield your power."


These two statments don't add up, someone care to tell me which one is the truth?  Becuase what you fucking idiots have done, is not cause the patching of one single package, but cause us to have to patch about 40 packages to keep the same level of functionality that we currently have.  Loss of functionality is always a step backwards.  If you didn't have your heads so far up your own silly asses, you would realize that.

Comment 32 Jakub Moc (RETIRED) gentoo-dev 2006-10-26 02:24:32 UTC
(In reply to comment #31)

Continue in this tone and you'll get you account banned. I've had enough.
Comment 33 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-10-26 06:50:15 UTC
(In reply to comment #31)
> "XMMS support removed from media-video/mplayer"
> 
> "So I tell you again; wield your power."
> 
> 
> These two statments don't add up, someone care to tell me which one is the
> truth?  Becuase what you fucking idiots have done, is not cause the patching of
> one single package, but cause us to have to patch about 40 packages to keep the
> same level of functionality that we currently have.  Loss of functionality is
> always a step backwards.  If you didn't have your heads so far up your own
> silly asses, you would realize that.
> 

Afaik the mplayer ebuild was already bumped to remove the xmms stuff; so you may want to emerge sync.

You may wish to rethink your use of Linux then; depending on 120 random (yet dedicated) volunteers to create a distribution and package a Linux distribution may not have been the best choice.  

Gentoo is all about choice.  It may not howver; be the choice you enjoy making.  This certainly wasn't a fun choice for anyone here (or the ever-so-enjoyable aftermath).  But just like on the forums; everyone complains, no one acts.  You have the audacious maintainer willing to port pretty much any open source plugin to his player and yet you *still* complain.

Why should I give a crap what you say if you will never stop complaining?  If it's my job to please you then where is my paycheck?
Comment 34 Polyhead 2006-10-26 13:10:19 UTC
"You may wish to rethink your use of Linux then"

I've been using it since 1996.  It USE to be fun.  Now everyone has started taking this far too seriously.  When i started using it, if it had a few minor bugs, who cared.  Hell it was funny.  Now people get bent out of shape over a minor graphical glitch.  its lame, and i don't mean the mpeg audio encoder.

The problem here is, you complain about bugs, well, audacious has twice as many as xmms to begin with, this whole thing reaks of political issues, not dev. problems.  For fucks sake, X and GTK have more bugs than XMMS.  Bugs that can keep them from working at all in some cases.  Atleast xmms, despite its bugs, does what it is suppose to do, play music.  Its not leaking ram like hell, its not crashing and taking X with it. (multimon, you want to see bugs, check that little gem out)

"have the audacious maintainer"

audacious is crap, look at the file requesters!  It uses the built in gnome2 ones, which are complete garbage.  Xmms uses a much nicer file requester.  Maybe he can quit wasting his time on that peice of trash at get xmms up to speed instead?

"If it's my job to please you then where is my paycheck?"

Probably over at the wellfare office, you will be able to pick it up on 1st monday of the month.

Something to consider, If there were no users, you wouldn't have a distro to maintain.  Atleast if there were no users, it would me no more than mausturbation.  Not to say masturbation isn't fun, but its not somthing you can brag about to the family.

The whole problem is there are pecies of software with major bugs marked ~x86, and you take xmms out compleatly.  What gives?  This has nothing to do with bugs, and everthing to do with some back ground politics.  Your letting political issues get in the way of technology, and its discusting.
Comment 35 Jakub Moc (RETIRED) gentoo-dev 2006-10-26 13:29:56 UTC
(In reply to comment #34)

There's no political issue, there's simply noone willing to waste time on this dead and broken piece of code. No amount of your obscene ranting will change that, stick it into an overlay and use/patch it to hell as you wish. We won't maintain it, you don't pay us to maintain this either - game over.

(And please do me a favor and stop spamming my email with junk, I'm not interested in all those four-letter words.)
Comment 36 phrexianreaper 2006-10-26 17:13:21 UTC
(In reply to comment #35)
> (In reply to comment #34)
> 
> There's no political issue, there's simply noone willing to waste time on this
> dead and broken piece of code. No amount of your obscene ranting will change
> that, stick it into an overlay and use/patch it to hell as you wish. We won't
> maintain it, you don't pay us to maintain this either - game over.
> 
> (And please do me a favor and stop spamming my email with junk, I'm not
> interested in all those four-letter words.)
> 

This is crap. Why remove a working peice of code that such a huge number of people not only use, but rely on?

Removing it because you have problems yourself is just ignorant. Forcing people to rely on craptacular software is what MS does. As for puting it in an overlay - it shouldn't need it. It works. It works WELL, whether you are competent enough to make it work or not.

It has many plugins that do not have equals in other players, one that has been mentioned being xmms-alarm.

Such a removal should be, if it must be removed, then wait for XMMS2. People spend enough time keeping their systems working as is, without having to hunt down a new media player they can tolerate. The only other player I have seen that even comes close is mp3blaster, and using that in GUI is annoying to say the least.

Do us all a favor and try to think some? Maybe you should take your own advice and put down the pipe - its the only logical answer to this: A bad trip on the devs part.
Comment 37 Jorge Vargas 2006-10-26 20:39:25 UTC
I have read this thread and I'm amaze that so many people complain and noone does anything. except for Heiko Baums, who posted the script.

(In reply to comment #35)
> (In reply to comment #34)
> 
> There's no political issue, there's simply noone willing to waste time on this
> dead and broken piece of code. No amount of your obscene ranting will change
> that, stick it into an overlay and use/patch it to hell as you wish. We won't
> maintain it, you don't pay us to maintain this either - game over.
> 
will someone be interested in wasting his time maintaining (that's a joke you guys needs to laugh)
http://bugs.gentoo.org/show_bug.cgi?id=93583 ?

at least that bug has people doing things not just whinning.


I believe adding that to the tree will be make everyone happy, put it as ~ and we are all fine don't we?
Comment 38 Heiko Baums 2006-10-26 20:53:21 UTC
(In reply to comment #36)
> Removing it because you have problems yourself is just ignorant. Forcing people
> to rely on craptacular software is what MS does. As for puting it in an overlay
> - it shouldn't need it. It works. It works WELL, whether you are competent
> enough to make it work or not.
> 
> It has many plugins that do not have equals in other players, one that has been
> mentioned being xmms-alarm.

You really should try audacious. It's not exactly XMMS but it's also a Winamp like audio player. And nenolod, the (upstream) maintainer of audacious, has ported xmms-alarm to audacious yesterday as you can read in this thread: http://forums.gentoo.org/viewtopic-t-509819-postdays-0-postorder-asc-start-200.html

And as you can also read in this thread he is actively developing audacious and listens to the users and their wishes and helps not only in his own forum but also in the Gentoo forums. He seems to be really nice.

And, btw, I also didn't like that the Gentoo devs remove XMMS because I didn't know a real alternative for XMMS, yet. But I tried audacious again and must notice that it's a real alternative for XMMS.

It is much more stable especially regarding the plugins. Some XMMS plugins cause XMMS to crash when you configure it through the configuration diaglogs. Some XMMS plugins don't work together with other XMMS plugins.

The usability of audacious is much better (the configuration diaglog is much nicer and more intuitive) than XMMS.

I have the impression that the sound quality of audacious is much better than that of XMMS.

And the streaming thing works much better than in XMMS. Only rtsp support isn't in the stable audacious at the moment. But there's already a solution in the tree as nenolod has written.

> Such a removal should be, if it must be removed, then wait for XMMS2. People
> spend enough time keeping their systems working as is, without having to hunt
> down a new media player they can tolerate. The only other player I have seen
> that even comes close is mp3blaster, and using that in GUI is annoying to say
> the least.

But you know that XMMS2 is not really a next version of XMMS?
XMMS stands for X Multimedia System.
XMMS2 stands for X-platform Music Multiplexing System 2.

I haven't tried XMMS2, yet, but it is a client-server based software and not a standalone player. So I don't think that XMMS2 will be a real replacement for XMMS.

> Do us all a favor and try to think some? Maybe you should take your own advice
> and put down the pipe - its the only logical answer to this: A bad trip on the
> devs part.

Well, I also had many times when I thought in the first moment "Are the Gentoo devs mad? The Gentoo devs are idiots." etc. when they removed a program I was used to from the portage tree or when they changed something else which I was used to and which I liked.

But in most cases, after I slept one or two days, I came to the conclusion that their decisions were not really bad, in fact their decisions were really good.

There's only one thing I still can't understand. This is the removal of tuxracer which was masked for removal because it's also unmaintained - after 5 years they came to this recognition! - in favor of ppracer, another also unmaintained program for over one year now. But that's another thing.

Lately I've seen another distro, I actually can't remember which one, which also doesn't have XMMS. But this distro have only one audio player, namely amarok. They really don't give the users a choice between more audio players.

And as it happens so many times in the OpenSource community and as the Gentoo devs have already said if a maintainer of a program you're used to and you like stops maintaining the program you are free to continue developing this program by yourself and to take over the maintainance or to fork it.

In this case, this also have the Gentoo devs already said, they are willing to put XMMS back to the tree.

So my suggestion: Calm down everyone - the users as well as the Gentoo devs - sleep a night or two and give e.g. audacious a try. The maintainer seems really be nice and tries to make the step from XMMS to audacious as easy as possible. It's sad that XMMS is dead and removed from the portage tree but in fact there are - in the meantime I think better - alternatives.

And for the people who still want to keep XMMS I have attached a shell script which makes it easy to copy XMMS to the portage overlay, unmask XMMS and download the sources.
Comment 39 adriancz 2006-10-27 02:29:27 UTC
>The usability of audacious is much better (the configuration diaglog is much
>nicer and more intuitive) than XMMS.

The usability of gtk2's fileselector is much worse than anything else.

>I have the impression that the sound quality of audacious is much better than
>that of XMMS.

I have the impression that the sound quality of XMMS is much better than
that of any other Linux player (remember to turn off libmad that sux hard).

Audacius is buggy and memory consuming.
Comment 40 Jakub Moc (RETIRED) gentoo-dev 2006-10-27 02:44:36 UTC
(In reply to comment #39)
> The usability of gtk2's fileselector is much worse than anything else.

Please, take this debate off bugzilla. This is NOT a discussion forum and junky gkt2 fileselector is completely off-topic on this bug.
Comment 41 Polyhead 2006-10-27 02:46:58 UTC
>Removing it because you have problems yourself is just ignorant. Forcing people
>to rely on craptacular software is what MS does.

And is exactly what OSS was suppose to prevent.  These people seem to have forgotten that, and have are running roughshod over the users that give them a distro to maintain in the first place.

>You really should try audacious.

Don't bother, over the past 8 hours of solid playing, it has generated about a 2mb memory leak that continues to grow, a problem xmms never had, go figure huh.  If you do install it, install the skins package, becuase the default skins are compleatly unsuable and ugly.  Oh, and don't actually try to add files to the play list, becuase now you get to experiance the wonderfull gtk2 file requesters.  *vomits at the thought*

>The usability of audacious is much better
If looking pretty makes it intuitive, i guess. The fact is it doesn't work anybetter.  Probbly works worse.  Less options thats for sure, no idea what mpeg audio decoder you are using because it doesn't say. how is that more intuitive?

>So my suggestion: Calm down everyone

And mine, ignore that bullshit, raise hell!  Get this on slashdot, and let them feel the slashdot effect for a few days, get everyoen from there to post to this bug and let their voices be heard.

>I'm not interested in all those four-letter words.

Your intrest in the words i choose to use is of no intrest of mine, it sounds mutual.

>I have read this thread and I'm amaze that so many people complain and noone
>does anything.

Well my reasoning is simple enough.  I'm not a coder, i'm a machinist/guitarist/hamradio operator/jack of all trades.  I've never looked into maintaining packages becuase 1. I'm pretty sure iw ould get sick of it PDQ, especially when the weather got nice outside again (not that there is muchtime here in portland when its not raining so, you sort of make a mad dash for the rain free sunny days).  2., my day job eats my time like hell.  10 hours shifts and an hour long 12mile commute each way by bicycle.  3.I would have to play the political game, and i well no i wouldn't, I would be hounded to play it, and just flat out wouldn't, and would do whatever the hell i fealt like doing when i fealt like doing it and if you didn't like it the only words you would get from me is "fuck you."  I don't play well with others, besides, i'm good at playing with myself, heh.

  I went back and forth between windows and linux for years after i finally had to retire my tired flakey (mostly of my own doing for the sake of performance) Amiga 1200.  I decided on linux, started with slackware, used that soley up till about slackware 7.x and moved to gentoo sometime in 2001 or 2002.  In my eyes, removal of everything fun has been the way of gentoo latley.  NO xmms, no tux racer, no oh, whatever the hell that scorched earth clone was.  The 3d online multiplayer one. Over all, as the user, the experiance has been heart breaking.  Not becuse its broken, but, becuase it use to be allot of fun, and now its just not, now its just too serious, and too far up its own ass.
Comment 42 Jakub Moc (RETIRED) gentoo-dev 2006-10-27 03:05:23 UTC
(In reply to comment #41)
> >I have read this thread and I'm amaze that so many people complain and noone
> >does anything.
> 
> Well my reasoning is simple enough.  I'm not a coder, i'm a
> machinist/guitarist/hamradio operator/jack of all trades.  

So either pay someone to do it or stop moaning. This is a volunteer distro, we don't get paid for work on this. If we don't want to waste time on dead code, then we won't, period. Either step up and do some work or don't complain. Your ranting doesn't count as work, for the record. Simple enough as well.
Comment 43 Jakub Moc (RETIRED) gentoo-dev 2006-10-27 03:18:50 UTC
Restricting this bug due to excessive, unproductive and off-topic noise. For discussions, we have forums.gentoo.org and appropriate mailing lists.
Comment 44 Jakub Moc (RETIRED) gentoo-dev 2006-10-29 14:10:31 UTC
*** Bug 153357 has been marked as a duplicate of this bug. ***
Comment 45 Jakub Moc (RETIRED) gentoo-dev 2006-10-29 14:38:23 UTC
*** Bug 153357 has been marked as a duplicate of this bug. ***
Comment 46 Jakub Moc (RETIRED) gentoo-dev 2006-11-03 11:07:17 UTC
*** Bug 153953 has been marked as a duplicate of this bug. ***
Comment 47 Jakub Moc (RETIRED) gentoo-dev 2006-11-20 16:02:45 UTC
 ____    ___   ____  
|  _ \  |_ _| |  _ \ 
| |_) |  | |  | |_) |
|  _ < _ | | _|  __/ 
|_| \_(_)___(_)_| (_)

*plop*
Comment 48 Jakub Moc (RETIRED) gentoo-dev 2006-11-26 15:53:27 UTC
*** Bug 156363 has been marked as a duplicate of this bug. ***
Comment 49 Mihai Moldovan 2007-11-17 15:52:54 UTC
> >You really should try audacious.
> 
> Don't bother, over the past 8 hours of solid playing, it has generated about a
> 2mb memory leak that continues to grow, a problem xmms never had, go figure
> huh.

How about reporting it? Takes to much time, uh? Yeah, I guess the time is better invested in writing this bullshit.


> If you do install it, install the skins package, becuase the default
> skins are compleatly unsuable and ugly.

Don't use it.


> Oh, and don't actually try to add
> files to the play list, becuase now you get to experiance the wonderfull gtk2
> file requesters.  *vomits at the thought*

Don't use it.


> >The usability of audacious is much better
> If looking pretty makes it intuitive, i guess. The fact is it doesn't work
> anybetter.  Probbly works worse.  Less options thats for sure, no idea what
> mpeg audio decoder you are using because it doesn't say. how is that more
> intuitive?

You  are free to improve the software. Ah, right, ranting is better than coding, sorry, I already forgot.


> >I'm not interested in all those four-letter words.
> 
> Your intrest in the words i choose to use is of no intrest of mine, it sounds
> mutual.

Just look above.


> >I have read this thread and I'm amaze that so many people complain and noone
> >does anything.
> 
> Well my reasoning is simple enough.  I'm not a coder, i'm a
> machinist/guitarist/hamradio operator/jack of all trades. I've never looked
> into maintaining packages becuase 1. I'm pretty sure iw ould get sick of it
> PDQ, especially when the weather got nice outside again (not that there is
> muchtime here in portland when its not raining so, you sort of make a mad dash
> for the rain free sunny days).

Oh, I guess the whether is not the only problem that would arise but also ingrate users flaming about everything but doing nothing. Do you see something?

> 2., my day job eats my time like hell.  10
> hours shifts and an hour long 12mile commute each way by bicycle.

Good god, you are so pitiful! Does anyone have a henkerchief? There are, however, even a lot of Gentoo devs and maintainers who have a job. Interesting, isn't it?

> 3.I would
> have to play the political game, and i well no i wouldn't, I would be hounded
> to play it, and just flat out wouldn't, and would do whatever the hell i fealt
> like doing when i fealt like doing it and if you didn't like it the only words
> you would get from me is "fuck you."  I don't play well with others, besides,
> i'm good at playing with myself, heh.

You should become US President. No, really, you are predestinated for that!


>   I went back and forth between windows and linux for years after i finally had
> to retire my tired flakey (mostly of my own doing for the sake of performance)
> Amiga 1200.  I decided on linux, started with slackware, used that soley up
> till about slackware 7.x 

Do you know that even SlackWare dropped XMMS(1)?

> and moved to gentoo sometime in 2001 or 2002.  In my
> eyes, removal of everything fun has been the way of gentoo latley.  NO xmms, no
> tux racer, 

No Tux Racer? So what is PlanetPenguin Racer? Just another bunch of shit, because it's "new(er)"? Please, inform yourself before flaming. And as far as I know, PPRacer is just as fun as TuxRacer was, if not even more.


> Over all, as the user, the experiance has been heart
> breaking.  Not becuse its broken, but, becuase it use to be allot of fun, and
> now its just not, now its just too serious, and too far up its own ass.

WHAT is no fun anymore? Gentoo? Dear, if you are such an XMMS fetishist, please get the old ebuild (if your time is worth Googling only of course) and make your own Overlay with your beloved XMMS.

Or just take another Distro which still has XMMS like.. oh... so many Distros dropped XMMS. Bummer deal.
Comment 50 Jakub Moc (RETIRED) gentoo-dev 2007-11-18 09:34:49 UTC
*** Bug 199498 has been marked as a duplicate of this bug. ***
Comment 51 Jakub Moc (RETIRED) gentoo-dev 2007-11-18 10:01:27 UTC
*** Bug 199498 has been marked as a duplicate of this bug. ***